<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Acuerdos generales', routerLink: '../' }"
    [model]="[{ icon: 'pi pi-book', label: ' Registro', routerLink: './' }]">
  </p-breadcrumb>
</div>

<div class="card p-3">
  <form>
    <div class="form-row">
      <div class="col-12">
        <label for="">Rubro:</label>
        <input type="text" class="form-control" placeholder="Ingrese el rubro" autocomplete="off" id="Rubro" name="Rubro" [value]="acuerdoModel.rubro"
          [(ngModel)]="acuerdoModel.rubro" [innerText]="acuerdoModel.rubro" [ngClass]="{'invalid': requerid.rubro }">
      </div>

      <div class="col-6">
        <label for="">Fecha de aprobación:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha de aprobación"
            [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaAprobacion" id="fechaAprobacion"
            [(ngModel)]="acuerdoModel.fechaAprobacion" readonlyInput="true" (ngModelChange)="getMinistrosByDate($event)"
            [styleClass]="requerid.fechaAprobacion ? 'invalid w-100' : 'w-100'"></p-calendar>
        </div>
      </div>
      <div class="col-6">
        <label for="">Ámbito en el que incide:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.ambitoIncide" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Ingrese el ámbito en el que incide"
          name="ambito" id="ambito" [(ngModel)]="acuerdoModel.ambitoIncide" [styleClass]="requerid.ambitoIncide? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" list="ambitoList" autocomplete="off" placeholder="Ingrese el ámbito en el que incide"
          name="ambito" id="ambito" [(ngModel)]="acuerdoModel.ambitoIncide" [ngClass]="{'invalid': requerid.ambitoIncide }">
        <datalist id="ambitoList">
          <option *ngFor="let ambito of catalogos.ambitoIncide" [value]="ambito.nombre">
            {{ambito.nombre}}
          </option>
        </datalist> -->
      </div>
      <div class="col-6">
        <label for="">Vigencia:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.vigencia" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Vigencia" name="Vigencia" id="vigencia"
          [(ngModel)]="acuerdoModel.vigencia" [styleClass]="requerid.vigencia? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" list="vigenciaList" autocomplete="off" placeholder="Vigencia" name="Vigencia" id="vigencia"
          [(ngModel)]="acuerdoModel.vigencia" [ngClass]="{'invalid': requerid.vigencia }">
        <datalist id="vigenciaList">
          <option *ngFor="let vigencia of catalogos.vigencia" [value]="vigencia.nombre">
            {{vigencia.nombre}}
          </option>
        </datalist> -->
      </div>
      <div class="col-6">
        <label for="">Fecha de publicación en el DOF:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true"
            placeholder="Escriba o seleccione la fecha de publicación en el DOF" [yearNavigator]="true" [monthNavigator]="true"
            yearRange="1000:2030" name="fechaDOF" id="fechaDOF" styleClass="w-100" [(ngModel)]="acuerdoModel.fechaPublicacionDOF"
            readonlyInput="true" [styleClass]="requerid.fechaPublicacionDOF ? 'invalid w-100' : 'w-100'"></p-calendar>
        </div>
      </div>

      <div class="col-12 ">
        <label for="">Clasificación por materia de regulación:</label>
        <ng-multiselect-dropdown [data]="catalogos.materiaRegulacion" [settings]="configDropdown"
        [(ngModel)]="acuerdoModel.clasificacionMateriaRegulacion"
        name="regulacion" id="regulacion" placeholder="Clasificación por materia de regulación"
          styleClass="requerid.clasificacionMateriaRegulacion ? 'invalid w-100' : 'w-100'">
        </ng-multiselect-dropdown>
      </div>

      <div class="col-6">
        <label for="">Órgano emisor</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.organoEmisor" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Ingrese el órgano emisor" name="organoemisor"
          id="organoemisor" [(ngModel)]="acuerdoModel.organoEmisor" [styleClass]="requerid.organoEmisor? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" autocomplete="off" placeholder="Ingrese el órgano emisor" name="organoemisor"
          id="organoemisor" list="organoList" [(ngModel)]="acuerdoModel.organoEmisor" [ngClass]="{'invalid': requerid.organoEmisor }">
        <datalist id="organoList">
          <option *ngFor="let organo of catalogos.organoEmisor" [value]="organo.nombre">
            {{organo.nombre}}
          </option>
        </datalist> -->
      </div>
      <div class="col-6">
        <label for="">Ministro Presidente en la fecha de su emisión:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.ministrosPresidentes" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Seleccione o escriba el ministro presidente en la fecha de su emisión" name="presidenteMinistro"
          id="presidenteMinistro" [(ngModel)]="acuerdoModel.ministroPresidente" [styleClass]="requerid.ministroPresidente? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" list="presidente" autocomplete="off"
          placeholder="Seleccione o escriba el ministro presidente en la fecha de su emisión" name="presidenteMinistro"
          id="presidenteMinistro" [(ngModel)]="acuerdoModel.ministroPresidente" [ngClass]="{'invalid': requerid.ministroPresidente }">
        <datalist id="presidente">
          <option *ngFor="let presidente of catalogos.ministrosPresidentes" [value]="presidente.nombre">
            {{presidente.nombre}}
          </option>
        </datalist> -->
      </div>
      <div class="col-12">
        <label for="">Votación del acuerdo a favor:</label>
        <ng-multiselect-dropdown [(ngModel)]="acuerdoModel.votacionAcuerdoFavor" [data]="catalogos.ministros" [settings]="configDropdown"
          name="favor" id="favor" placeholder="Seleccione la votación a favor" (onSelect)="selectMinistro($event,'favor')"
          (onDeSelect)="this.acuerdoModel.ministrosAusentes.indexOf($event) ? this.acuerdoModel.ministrosAusentes.push($event) : null">
        </ng-multiselect-dropdown>
      </div>

      <div class="col-12">
        <label for="">Ministras(os) ausentes:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Ministras(os) ausentes" name="rubro" id="rubro"
          [(ngModel)]="acuerdoModel.ministrosAusentes" [value]="acuerdoModel.ministrosAusentes.toString()" readonly>
      </div>
      <div class="col-12">
        <label for="">Votación del acuerdo en contra:</label>
        <ng-multiselect-dropdown [(ngModel)]="acuerdoModel.votacionAcuerdoEnContra" [data]="catalogos.ministros" [settings]="configDropdown"
          name="encontra" id="encontra" placeholder="Seleccione la votación en contra" (onSelect)="selectMinistro($event,'contra')"
          (onDeSelect)="this.acuerdoModel.ministrosAusentes.indexOf($event) ? this.acuerdoModel.ministrosAusentes.push($event) : null">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12">
        <label for="">Votación</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.votacion" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Ingrese la votación" name="votacion" id="votacion"
          [(ngModel)]="acuerdoModel.votacion" [styleClass]="requerid.votacion? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" autocomplete="off" placeholder="Ingrese la votación" name="votacion" id="votacion"
          list="votacionList" [(ngModel)]="acuerdoModel.votacion" [ngClass]="{'invalid': requerid.votacion }">
        <datalist id="votacionList">
          <option *ngFor="let voto of catalogos.votacion" [value]="voto.nombre">
            {{voto.nombre}}
          </option>
        </datalist> -->
      </div>
      <div class="col-12">
        <label for="">Temas específicos de regulación: </label>
        <div class="list p-3">
          <div class="list-item-rubro" *ngFor="let materia of acuerdoModel.temasEspecificosRegulacion; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" (click)="confirm(i)"></i>
              <i class="pi pi-pencil" (click)="edicionMateria(materia,i)"></i>
            </div>
            <p class="item-rubro">{{(i+1) + '. ' + materia}}</p>
          </div>
        </div>
        <p-button styleClass="p-button-sm" label="Agregar tema" (onClick)="displayModal()"></p-button>
      </div>

    </div>
    <br>
  </form>
  <div class="d-flex justify-content-between mt-2">
    <a routerLink="../">
      <p-button styleClass="p-button-sm back" label="Volver"></p-button>
    </a>
    <p-button styleClass="p-button-sm" icon="pi pi-save" label="Crear acuerdo general" (onClick)="crearAcuerdo()">
    </p-button>
  </div>
</div>

<app-temas-especificos-regulacion (closeEditTema)="getModalUpdateTema($event)" [openModal]="configModal"
  (closeTema)="getModal($event)" [dataTema]="materiaEdit">
</app-temas-especificos-regulacion>

<p-confirmPopup></p-confirmPopup>
